Subject: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Oct 2020 16:14:31 +0200

Juri Linkov <[email-masked]> writes:

> I have no opinion about a new function.  Like everyone else, I'm using
> truncate-string-to-width, and happy with it, except of one complaint:
> on every use I need to wrap it with such code:
>
>   (let ((ellipsis (cond
>                    (truncate-string-ellipsis)
>                    ((char-displayable-p ?…) "…")
>                    ("..."))))
>     (truncate-string-to-width string max nil nil ellipsis))
>
> Preferably, this should be fixed with this patch:

Your patch is a distinct improvement on the current state of affairs, so
please go ahead and push to master (with a NEWS item).

A new function that's more pixel-aware can be added at a later date, and
is pretty much an orthogonal issue anyway.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no